Government Trade Reports
curl --request GET \
--url 'https://api.benzinga.com/api/v1/gov/usa/congress/trades/reports?token='import requests
url = "https://api.benzinga.com/api/v1/gov/usa/congress/trades/reports?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/gov/usa/congress/trades/reports?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amendment_number": 0,
"disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034706.pdf",
"filer_info": {
"chamber": "House",
"committees": {
"Committee on Foreign Affairs": [
"Europe",
"South and Central Asia"
],
"Committee on Homeland Security": [
"Border Security and Enforcement",
"Emergency Management and Technology"
],
"Committee on House Administration": [
"Elections"
],
"Joint Committee on the Library": []
},
"display_name": "Julie Johnson",
"district": "32",
"headshot": "https://clerk.house.gov/content/assets/img/members/J000310.jpg",
"id": "6778260cd80c5daf69482e11",
"leadership_positions": [],
"member_id": "J000310",
"member_name": "Julie Johnson",
"party": "D",
"state": "TX",
"status": "Member",
"updated": 1781528560,
"website": ""
},
"id": "",
"latest": true,
"report_date": "2026-06-12",
"report_id": "20034706",
"transactions": [
{
"amendment_number": 0,
"amount": "$1,001 - $15,000",
"chamber": "House",
"description": "",
"disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034706.pdf",
"id": "6a2ff7fa4de33e76b7e75308",
"notification_date": "2026-06-03",
"ownership": "JT",
"report_date": "2026-06-12",
"report_id": "20034706",
"security": {
"name": "Abbott Laboratories",
"ticker": "ABT",
"type": "STOCK"
},
"transaction_date": "2026-05-12",
"transaction_id": "78dce3b01cc8e6033fdbbf9643c0cd3414a04f8f",
"transaction_type": "S",
"updated": 1781528569
},
{
"amendment_number": 0,
"amount": "$1,001 - $15,000",
"chamber": "House",
"description": "",
"disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034706.pdf",
"id": "6a2ff7fa4de33e76b7e75309",
"notification_date": "2026-06-03",
"ownership": "JT",
"report_date": "2026-06-12",
"report_id": "20034706",
"security": {
"name": "Accenture",
"ticker": "ACN",
"type": "STOCK"
},
"transaction_date": "2026-05-12",
"transaction_id": "68b0cefd47885574ac28a26c01dab70ce44f3ab6",
"transaction_type": "S",
"updated": 1781528569
}
],
"updated": 1781528570
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Government Trades
Government Trade Reports
Returns detailed government trade disclosure reports including periodic transaction reports filed by congressional members
GET
/
api
/
v1
/
gov
/
usa
/
congress
/
trades
/
reports
Government Trade Reports
{
"data": [
{
"amendment_number": 0,
"disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034706.pdf",
"filer_info": {
"chamber": "House",
"committees": {
"Committee on Foreign Affairs": [
"Europe",
"South and Central Asia"
],
"Committee on Homeland Security": [
"Border Security and Enforcement",
"Emergency Management and Technology"
],
"Committee on House Administration": [
"Elections"
],
"Joint Committee on the Library": []
},
"display_name": "Julie Johnson",
"district": "32",
"headshot": "https://clerk.house.gov/content/assets/img/members/J000310.jpg",
"id": "6778260cd80c5daf69482e11",
"leadership_positions": [],
"member_id": "J000310",
"member_name": "Julie Johnson",
"party": "D",
"state": "TX",
"status": "Member",
"updated": 1781528560,
"website": ""
},
"id": "",
"latest": true,
"report_date": "2026-06-12",
"report_id": "20034706",
"transactions": [
{
"amendment_number": 0,
"amount": "$1,001 - $15,000",
"chamber": "House",
"description": "",
"disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034706.pdf",
"id": "6a2ff7fa4de33e76b7e75308",
"notification_date": "2026-06-03",
"ownership": "JT",
"report_date": "2026-06-12",
"report_id": "20034706",
"security": {
"name": "Abbott Laboratories",
"ticker": "ABT",
"type": "STOCK"
},
"transaction_date": "2026-05-12",
"transaction_id": "78dce3b01cc8e6033fdbbf9643c0cd3414a04f8f",
"transaction_type": "S",
"updated": 1781528569
},
{
"amendment_number": 0,
"amount": "$1,001 - $15,000",
"chamber": "House",
"description": "",
"disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034706.pdf",
"id": "6a2ff7fa4de33e76b7e75309",
"notification_date": "2026-06-03",
"ownership": "JT",
"report_date": "2026-06-12",
"report_id": "20034706",
"security": {
"name": "Accenture",
"ticker": "ACN",
"type": "STOCK"
},
"transaction_date": "2026-05-12",
"transaction_id": "68b0cefd47885574ac28a26c01dab70ce44f3ab6",
"transaction_type": "S",
"updated": 1781528569
}
],
"updated": 1781528570
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Query Parameters
Page number
Page size
Date from
Date to
Updated since
Date
Chamber
Available options:
"House", "Senate" Fields
Search keys type
Available options:
"report_id", "ticker" Search keys
Response
Government Trade Reports
API response containing an array of government trade report records
Array of government trade report records
Show child attributes
Show child attributes
Was this page helpful?